%define unmangled_name fava

%define mangled_name fava

%define version 1.20.1
%define unmangled_version 1.20.1
%define unmangled_version 1.20.1
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Web interface for the accounting tool Beancount.
Name: %{mangled_name}
BuildRequires: python3-setuptools, python3-setuptools_scm
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Jakob Schnitzer <mail@jakobschnitzer.de>
Url: https://beancount.github.io/fava/

%description
.. image:: https://badges.gitter.im/beancount/fava.svg
   :alt: Join the chat at https://gitter.im/beancount/fava
   :target: https://gitter.im/beancount/fava
.. image:: https://img.shields.io/pypi/l/fava.svg
   :target: https://pypi.python.org/pypi/fava
.. image:: https://img.shields.io/pypi/v/fava.svg
   :target: https://pypi.python.org/pypi/fava

Fava is a web interface for the double-entry bookkeeping software `Beancount
<http://furius.ca/beancount/>`__ with a focus on features and usability.

Check out the online `demo <https://fava.pythonanywhere.com>`__ and learn more
about Fava on the `website <https://beancount.github.io/fava/>`__.

The `Getting Started
<https://beancount.github.io/fava/usage.html>`__ guide details the installation
and how to get started with Beancount.  If you are already familiar with
Beancount, you can get started with Fava::

    pip3 install fava
    fava ledger.beancount

and visit the web interface at `http://localhost:5000
<http://localhost:5000>`__.

If you want to hack on Fava or run a development version, see the
`Development <https://beancount.github.io/fava/development.html>`__ page on the
website for details. Contributions are very welcome!

.. image:: https://i.imgbox.com/rfb9I7Zw.png
    :alt: Fava Screenshot
    :width: 100%
    :align: center
    :target: https://fava.pythonanywhere.com


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
